Page MenuHomePhabricator

cloudvps: mwfileimport project trusty deprecation
Closed, ResolvedPublic2 Story Points

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the mwfileimport project needs to upgrade as soon as possible.

The list of affected VMs is:

  • db.mwfileimport.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/mwfileimport

Event Timeline

aborrero triaged this task as Medium priority.Sep 17 2018, 12:53 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 12:53 PM

Hey @Addshore @Andrew-WMDE @thiemowmde @WMDE-Fisch! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help. Also please assign this task to an individual.

WMDE-Fisch added a subscriber: Lea_WMDE.

@Lea_WMDE depending on if we still need the testing server ( I think it would be nice to still having it ) we should take care of this in the near future.

Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 22 2018, 1:42 PM

Another ping. Deadline is approaching next month (2018-12-18).

Lea_WMDE set the point value for this task to 2.Nov 28 2018, 4:41 PM

Thanks for the pings! We decided to remove the instance and will do so in the next two weeks.

Will you still need the web00 instance?

Will you still need the web00 instance?

No. We decided delete the whole project. - In the near future we do not need these test servers and for everything that might come up in the far future we would create new servers anyway. We can deal with the deletion process if you're not doing it. The ticket would go into our next sprint starting next week.

Yeah, if you deal with the servers within the next two weeks your comment on this ticket should be enough to delete the project. Just post here when you're ready.

Mentioned in SAL (#wikimedia-cloud) [2018-12-14T16:41:45Z] <andrewbogott> deleting project as per https://phabricator.wikimedia.org/T204519

Andrew closed this task as Resolved.Dec 14 2018, 5:02 PM
Andrew claimed this task.
Andrew added a subscriber: Andrew.

Project deleted. Thanks!